import request from '@/utils/request'

// 查询员工上下班记录列表
export function listRecordStaffCommute(query) {
  return request({
    url: '/mes/record/recordStaffCommute/list',
    method: 'get',
    params: query
  })
}

// 查询员工上下班记录详细
export function getRecordStaffCommute(objId) {
  return request({
    url: '/mes/record/recordStaffCommute/' + objId,
    method: 'get'
  })
}

// 新增员工上下班记录
export function addRecordStaffCommute(data) {
  return request({
    url: '/mes/record/recordStaffCommute',
    method: 'post',
    data: data
  })
}

// 修改员工上下班记录
export function updateRecordStaffCommute(data) {
  return request({
    url: '/mes/record/recordStaffCommute',
    method: 'put',
    data: data
  })
}

// 删除员工上下班记录
export function delRecordStaffCommute(objId) {
  return request({
    url: '/mes/record/recordStaffCommute/' + objId,
    method: 'delete'
  })
}
